### GET /interviews Source: https://api.jobadder.com/v2/openapi.json API endpoint for GET /interviews ```markdown ### Parameters - **InterviewId** (array (integer (int32)), query, optional) - **JobId** (array (integer (int32)), query, optional) - **UserId** (array (integer (int32)), query, optional): User Id - search for internal/user interviewers - **ContactId** (array (integer (int32)), query, optional): Contact Id - search for external/contact interviewers - **CandidateId** (array (integer (int32)), query, optional): Candidate Id - search for interviewees by candidateId - **ApplicationId** (array (integer (int64)), query, optional): Application Id - search for interviewees by applicationId - **Type** (array (InterviewType), query, optional) - **StartAt** (array (string), query, optional): Search for interviews starting at a specific date and time (UTC assumed, [ISO date-time](https://www.rfc-editor.org/rfc/rfc3339.html#section-5.6)). Prefix with ```<``` or ```>``` to search dates before or after (inclusive) the specified date and time. Specify multiple times to search for a range. - **EndAt** (array (string), query, optional): Search for interviews ending at a specific date and time (UTC assumed, [ISO date-time](https://www.rfc-editor.org/rfc/rfc3339.html#section-5.6)). Prefix with ```<``` or ```>``` to search dates before or after (inclusive) the specified date and time. Specify multiple times to search for a range. - **Location** (string, query, optional) - **CreatedBy** (array (integer (int32)), query, optional): User Id - search for interviews created by the specified user(s) - **CreatedAt** (array (string), query, optional): Search for interviews created at a specific date and time (UTC assumed, [ISO date-time](https://www.rfc-editor.org/rfc/rfc3339.html#section-5.6)). Prefix with ```<``` or ```>``` to search dates before or after (inclusive) the specified date and time. Specify multiple times to search for a range. - **UpdatedAt** (array (string), query, optional): Search for interviews updated at a specific date and time (UTC assumed, [ISO date-time](https://www.rfc-editor.org/rfc/rfc3339.html#section-5.6)). Prefix with ```<``` or ```>``` to search dates before or after (inclusive) the specified date and time. Specify multiple times to search for a range. - **Embed** (array (string), query, optional): Embed related resources.
Resources available to embed are: self, evaluations - **Offset** (integer (int32), query, optional): The index of the first entry to return from the resource collection - **Limit** (integer (int32), query, optional): The maximum number of entries to return.
Setting to 0 will return only the total count of matching resources. ### Responses #### 200 - List of interviews matching the specified criteria **InterviewListRepresentation** - **items** (array (InterviewSummaryModel)) Array items: - **interviewId** (integer (int32)) (required) - **type** (string (Internal|External)) (required) ("Internal"|"External") - **startAt** (string (date-time)) - **endAt** (string (date-time)) - **location** (string) - **interviewee** (object) (required) - **applicationId** (integer (int64)) (required) - **jobTitle** (string) - **jobReference** (string) - **manual** (boolean) - **source** (string) - **rating** (integer (int32)) - **status** (object) - **statusId** (integer (int32)) (required) - **name** (string) (required) - **active** (boolean) - **rejected** (boolean) - **default** (boolean) - **defaultRejected** (boolean) - **workflow** (object) - **stage** (string) (required): Name of the workflow stage - **stageIndex** (integer (int32)): Position in the workflow - **step** (integer (int32)): [Obsolete] Please reference stageIndex instead - **progress** (string (Started|InProgress|Complete)) ("Started"|"InProgress"|"Complete") - **review** (object) - **stage** (string (Submitted|Viewed|Accepted|Rejected)) (required) ("Submitted"|"Viewed"|"Accepted"|"Rejected") - **submittedAt** (string (date-time)) - **submittedBy** (object) - **userId** (integer (int32)) (required) - **firstName** (string) - **lastName** (string) - **position** (string) - **email** (string) - **phone** (string) - **mobile** (string) - **inactive** (boolean) - **deleted** (boolean) - **reviewedAt** (string (date-time)) - **reviewedBy** (object) - **contactId** (integer (int32)) (required): Unique identifier for the contact - **firstName** (string): First name - **lastName** (string): Last name - **position** (string): Position or job title - **salutation** (string): Salutation/honorific/title - **unsubscribed** (boolean) - **email** (string): Primary email address - **phone** (string): Phone number - **mobile** (string): Mobile/cell number - **mobileNormalized** (string): Mobile/cell normalized number - **inactive** (boolean): Contact is no longer with the company - **status** (object) - **statusId** (integer (int32)) (required) - **name** (string) (required) - **active** (boolean) - **default** (boolean) - **owner** (object) - **candidate** (object) - **candidateId** (integer (int32)) (required): Candidate Id - **firstName** (string): First name - **lastName** (string): Last name - **email** (string): Primary email address - **phone** (string): Contact phone number - **mobile** (string): Mobile/cell number - **mobileNormalized** (string): Mobile/cell normalized number - **contactMethod** (string): Preferred contact method - **salutation** (string): Salutation/honorific/title - **unsubscribed** (boolean) - **address** (object) - **street** (array (string)) - **city** (string) - **state** (string) - **postalCode** (string) - **country** (string) - **countryCode** (string) - **status** (object) - **rating** (string): Internal rating of the candidate - **source** (string): The source of the candidate - **seeking** (string (Yes|Maybe|No)) ("Yes"|"Maybe"|"No") - **job** (object) - **jobId** (integer (int32)) (required) - **jobTitle** (string) - **location** (object) - **locationId** (integer (int32)) (required) - **name** (string) (required) - **area** (object) - **areaId** (integer (int32)) (required) - **name** (string) (required) - **company** (object) - **companyId** (integer (int32)) (required): Unique identifier for the company - **name** (string): Company name - **status** (object) - **owner** (object) - **contact** (object) - **status** (object) - **source** (string) - **owner** (object) - **jobAd** (object) - **adId** (integer (int32)) (required) - **state** (string) - **title** (string) - **reference** (string) - **summary** (string) - **bulletPoints** (array (string)) - **owner** (object) - **postAt** (string (date-time)) - **expireAt** (string (date-time)) - **owner** (object) - **createdBy** (object) - **createdAt** (string (date-time)) - **updatedBy** (object) - **updatedAt** (string (date-time)) - **interviewers** (object): Internal/user and External/contact interviewers - **users** (array (UserNameModel)): Internal/user interviewers Array items: - **contacts** (array (ContactNameModel)): External/contact interviewers Array items: - **createdBy** (object) - **createdAt** (string (date-time)) - **updatedAt** (string (date-time)) - **totalCount** (integer (int32)) (required) - **links** (object) - **first** (string (uri)) - **prev** (string (uri)) - **next** (string (uri)) - **last** (string (uri)) ### Example Usage ```bash curl -X GET "/v2/interviews?InterviewId=item1,item2&JobId=item1,item2&UserId=item1,item2&ContactId=item1,item2&CandidateId=item1,item2&ApplicationId=item1,item2&Type=item1,item2&StartAt=item1,item2&EndAt=item1,item2&Location=string&CreatedBy=item1,item2&CreatedAt=item1,item2&UpdatedAt=item1,item2&Embed=item1,item2&Offset=0&Limit=100" ``` ``` -------------------------------- ### GET /folders Source: https://api.jobadder.com/v2/openapi.json API endpoint for GET /folders ```markdown ### Parameters - **FolderId** (array (integer (int64)), query, optional): Folder Id - **JobId** (array (integer (int32)), query, optional): Job Id - **CandidateId** (array (integer (int32)), query, optional): Candidate Id - **ApplicationId** (array (integer (int64)), query, optional): Job Application Id - **PlacementId** (array (integer (int32)), query, optional): Placement Id - **CompanyId** (array (integer (int32)), query, optional): Company Id - **ContactId** (array (integer (int32)), query, optional): Contact Id - **UserId** (array (integer (int32)), query, optional): User Id - search for folders by owner or shared with the specified users - **OwnerUserId** (array (integer (int32)), query, optional): User Id - search for folders by owner - **SharedWithUserId** (array (integer (int32)), query, optional): User Id - search folders shared with the specified users - **OwnerStatus** (FolderOwnerStatus, query, optional): Owner status - **CreatedAt** (array (string), query, optional): Search for folders created at a specific date and time (UTC assumed, [ISO date-time](https://www.rfc-editor.org/rfc/rfc3339.html#section-5.6)). Prefix with ```<``` or ```>``` to search dates before or after (inclusive) the specified date and time. Specify multiple times to search for a range. - **UpdatedAt** (array (string), query, optional): Search for folders updated at a specific date and time (UTC assumed, [ISO date-time](https://www.rfc-editor.org/rfc/rfc3339.html#section-5.6)). Prefix with ```<``` or ```>``` to search dates before or after (inclusive) the specified date and time. Specify multiple times to search for a range. - **Fields** (array (string), query, optional): Additional fields to include with the results. Fields available to include are: sharedWith - **Embed** (array (string), query, optional): Embed related resources.
Resources available to embed are: self, jobs, candidates, applications, contacts, companies, placements - **EmbedMode** (string, query, optional): Determines what gets returned when embed option is one of self or candidates/contacts/etc.
Resources available to embedMode are: id - **Offset** (integer (int32), query, optional): The index of the first entry to return from the resource collection - **Limit** (integer (int32), query, optional): The maximum number of entries to return.
Setting to 0 will return only the total count of matching resources. ### Responses #### 200 - List of folders matching the specified criteria **FolderListRepresentation** - **items** (array (FolderNameModel)) Array items: - **folderId** (integer (int64)) (required) - **name** (string) - **owner** (object) - **userId** (integer (int32)) (required) - **firstName** (string) - **lastName** (string) - **position** (string) - **email** (string) - **phone** (string) - **mobile** (string) - **inactive** (boolean) - **deleted** (boolean) - **createdAt** (string (date-time)) - **updatedAt** (string (date-time)) - **totalCount** (integer (int32)) (required) - **links** (object) - **first** (string (uri)) - **prev** (string (uri)) - **next** (string (uri)) - **last** (string (uri)) ### Example Usage ```bash curl -X GET "/v2/folders?FolderId=item1,item2&JobId=item1,item2&CandidateId=item1,item2&ApplicationId=item1,item2&PlacementId=item1,item2&CompanyId=item1,item2&ContactId=item1,item2&UserId=item1,item2&OwnerUserId=item1,item2&SharedWithUserId=item1,item2&OwnerStatus=value&CreatedAt=item1,item2&UpdatedAt=item1,item2&Fields=item1,item2&Embed=item1,item2&EmbedMode=string&Offset=0&Limit=100" ``` ``` -------------------------------- ### GET /partners/actions Source: https://api.jobadder.com/v2/openapi.json API endpoint for GET /partners/actions ```markdown ### Parameters - **ActionType** (array (PartnerActionType), query, optional): Type of action - **ActionId** (array (string (uuid)), query, optional): Unique identifier for partner actions - **Reference** (array (string), query, optional): Partner supplied unique reference for the action ### Responses #### 200 - List of partner actions **PartnerActionListRepresentation** - **items** (array (PartnerActionModel)): Partner actions Array items: - **actionId** (string (uuid)): Unique identifier for the partner action - **actionType** (string (Job|JobAd|Candidate|JobApplication|Placement|Company|Contact)) ("Job"|"JobAd"|"Candidate"|"JobApplication"|"Placement"|"Company"|"Contact") - **actionName** (string): Menu item label that will appear to the end-user - **reference** (string): Unique partner defined reference/identifier for the action - **url** (string (uri)): URL to open after the action is selected and assigned the `"Submitted"` stage. - **urlType** (string (Popup|Page|SideDrawer)) ("Popup"|"Page"|"SideDrawer") - **allowResubmit** (boolean): Allow resources to be resubmitted to an action. - **actionFilter** (object) - **adminOnly** (boolean): Action is available to admin users only - **approvedOnly** (boolean): Action is only available on approved entities (currently only supported for placements) - **status** (object) - **activeOnly** (boolean): Action is available to entities with an active status - **statusId** (array (integer (int32))): Action is available to entities with a specific status - **webhookData** (unknown): Additional data that will be included with the webhook notification - **createdAt** (string (date-time)): Date the partner action was added - **updatedAt** (string (date-time)): Date the partner action was last updated - **links** (object) - **self** (string (uri)) ### Example Usage ```bash curl -X GET "/v2/partners/actions?ActionType=item1,item2&ActionId=item1,item2&Reference=item1,item2" ``` ``` -------------------------------- ### GET /notes Source: https://api.jobadder.com/v2/openapi.json API endpoint for GET /notes ```markdown ### Parameters - **CandidateId** (array (integer (int32)), query, optional): Candidate Id - **CompanyId** (array (integer (int32)), query, optional): Company Id - **ContactId** (array (integer (int32)), query, optional): Contact Id - **JobId** (array (integer (int32)), query, optional): Job Id - **RequisitionId** (array (integer (int32)), query, optional): Requisition Id - **ApplicationId** (array (integer (int64)), query, optional): Job Application Id - **PlacementId** (array (integer (int32)), query, optional): Placement Id - **EntityType** (string, query, optional): Filter notes by Entity Type.
Entity Type must be any of: candidate, contact, company, job, placement, requisition - **Embed** (array (string), query, optional): Embed related resources.
Resources available to embed are: self, candidates, contacts, placements, jobs, jobapplications, companies, requisitions Note: embed=self everything is embeded by default - **NoteId** (array (string (uuid)), query, optional): Note Id - **Type** (array (string), query, optional): Note type - **Reference** (array (string), query, optional): Reference value used to identify a note or group of notes - **CreatedAt** (array (string), query, optional): Search for notes created at a specific date and time (UTC assumed, [ISO date-time](https://www.rfc-editor.org/rfc/rfc3339.html#section-5.6)). Prefix with ```<``` or ```>``` to search dates before or after (inclusive) the specified date and time. Specify multiple times to search for a range. - **UpdatedAt** (array (string), query, optional): Search for notes updated at a specific date and time (UTC assumed, [ISO date-time](https://www.rfc-editor.org/rfc/rfc3339.html#section-5.6)). Prefix with ```<``` or ```>``` to search dates before or after (inclusive) the specified date and time. Specify multiple times to search for a range. - **Sort** (array (string), query, optional): Sort the results by one or multiple fields, prefix with "-" to sort descending.
Fields available for sorting are: type, createdAt, updatedAt - **Fields** (array (string), query, optional): Additional fields to include with the results.
Fields available to include are: text - **Offset** (integer (int32), query, optional): The index of the first entry to return from the resource collection - **Limit** (integer (int32), query, optional): The maximum number of entries to return.
Setting to 0 will return only the total count of matching resources. ### Responses #### 200 - List of notes matching the specified criteria **NoteListRepresentation** - **items** (array (NoteSummaryModel)) Array items: - **noteId** (string (uuid)) (required) - **type** (string) - **textPartial** (string) - **reference** (string) - **readonly** (boolean): This note cannot be updated - **createdBy** (object) - **userId** (integer (int32)) (required) - **firstName** (string) - **lastName** (string) - **position** (string) - **email** (string) - **phone** (string) - **mobile** (string) - **inactive** (boolean) - **deleted** (boolean) - **createdAt** (string (date-time)) - **updatedBy** (object) - **updatedAt** (string (date-time)) - **totalCount** (integer (int32)) (required) - **links** (object) - **first** (string (uri)) - **prev** (string (uri)) - **next** (string (uri)) - **last** (string (uri)) ### Example Usage ```bash curl -X GET "/v2/notes?CandidateId=item1,item2&CompanyId=item1,item2&ContactId=item1,item2&JobId=item1,item2&RequisitionId=item1,item2&ApplicationId=item1,item2&PlacementId=item1,item2&EntityType=string&Embed=item1,item2&NoteId=item1,item2&Type=item1,item2&Reference=item1,item2&CreatedAt=item1,item2&UpdatedAt=item1,item2&Sort=item1,item2&Fields=item1,item2&Offset=0&Limit=100" ``` ``` -------------------------------- ### GET /users Source: https://api.jobadder.com/v2/openapi.json API endpoint for GET /users ```markdown ### Parameters - **UserId** (array (integer (int32)), query, optional) - **OfficeId** (array (integer (int32)), query, optional) - **GroupId** (array (integer (int32)), query, optional) - **CreatedAt** (array (string), query, optional): Search for users created at a specific date and time (UTC assumed, [ISO date-time](https://www.rfc-editor.org/rfc/rfc3339.html#section-5.6)). Prefix with ```<``` or ```>``` to search dates before or after (inclusive) the specified date and time. Specify multiple times to search for a range. - **UpdatedBy** (array (integer (int32)), query, optional): User Id - search for jobs last updated by the specified user(s) - **UpdatedAt** (array (string), query, optional): Search for users updated at a specific date and time (UTC assumed, [ISO date-time](https://www.rfc-editor.org/rfc/rfc3339.html#section-5.6)). Prefix with ```<``` or ```>``` to search dates before or after (inclusive) the specified date and time. Specify multiple times to search for a range. - **Include** (array (FindUsersInclude), query, optional) - **Offset** (integer (int32), query, optional): The index of the first entry to return from the resource collection - **Limit** (integer (int32), query, optional): The maximum number of entries to return.
Setting to 0 will return only the total count of matching resources. ### Responses #### 200 - List of users matching the specified criteria **UserListRepresentation** - **items** (array (UserSummaryModel)) Array items: - **userId** (integer (int32)) (required) - **firstName** (string) - **lastName** (string) - **position** (string) - **email** (string) - **phone** (string) - **mobile** (string) - **inactive** (boolean) - **deleted** (boolean) - **mentionName** (string) - **office** (object) - **officeId** (integer (int32)) (required) - **name** (string) (required) - **street** (array (string)) - **city** (string) - **state** (string) - **postalCode** (string) - **country** (string) - **countryCode** (string) - **phone** (string) - **fax** (string) - **url** (string (uri)) - **createdAt** (string (date-time)) - **updatedAt** (string (date-time)) - **totalCount** (integer (int32)) (required) - **links** (object) - **first** (string (uri)) - **prev** (string (uri)) - **next** (string (uri)) - **last** (string (uri)) ### Example Usage ```bash curl -X GET "/v2/users?UserId=item1,item2&OfficeId=item1,item2&GroupId=item1,item2&CreatedAt=item1,item2&UpdatedBy=item1,item2&UpdatedAt=item1,item2&Include=item1,item2&Offset=0&Limit=100" ``` ``` -------------------------------- ### GET /placements/activities Source: https://api.jobadder.com/v2/openapi.json API endpoint for GET /placements/activities ```markdown ### Parameters - **CreatedAt** (array (string), query, optional): Search for activities performed at a specific date and time (UTC assumed, [ISO date-time](https://www.rfc-editor.org/rfc/rfc3339.html#section-5.6)). Prefix with ```<``` or ```>``` to search dates before or after (inclusive) the specified date and time. Specify multiple times to search for a range. - **UpdatedAt** (array (string), query, optional): Search for activities updated at a specific date and time (UTC assumed, [ISO date-time](https://www.rfc-editor.org/rfc/rfc3339.html#section-5.6)). Prefix with ```<``` or ```>``` to search dates before or after (inclusive) the specified date and time. Specify multiple times to search for a range. - **IncludeDetails** (boolean, query, optional) - **Offset** (integer (int32), query, optional): The index of the first entry to return from the resource collection - **Limit** (integer (int32), query, optional): The maximum number of entries to return.
Setting to 0 will return only the total count of matching resources. ### Responses #### 200 - List of placement activities matching the specified criteria **PlacementActivityListRepresentation** - **items** (array (PlacementActivityModel)) Array items: - **activityId** (integer (int64)) - **activityName** (string) - **activityType** (string) - **status** (string) - **createdBy** (object) - **userId** (integer (int32)) (required) - **firstName** (string) - **lastName** (string) - **position** (string) - **email** (string) - **phone** (string) - **mobile** (string) - **inactive** (boolean) - **deleted** (boolean) - **createdAt** (string (date-time)) - **updatedBy** (object) - **updatedAt** (string (date-time)) - **details** (object) - **textAnswers** (array (ActivitySingleValueDetailModel)) Array items: - **question** (string) - **answer** (string) - **listValueAnswers** (array (ActivityListValueDetailModel)) Array items: - **question** (string) - **values** (array (string)) - **dateValueAnswers** (array (ActivityDateValueDetailModel)) Array items: - **question** (string) - **startDate** (string (date-time)) - **endDate** (string (date-time)) - **ratingValueAnswers** (array (ActivityRatingValueDetailModel)) Array items: - **question** (string) - **percentage** (number (double)) - **placementId** (integer (int32)) - **totalCount** (integer (int32)) (required) - **links** (object) - **first** (string (uri)) - **prev** (string (uri)) - **next** (string (uri)) - **last** (string (uri)) ### Example Usage ```bash curl -X GET "/v2/placements/activities?CreatedAt=item1,item2&UpdatedAt=item1,item2&IncludeDetails=true&Offset=0&Limit=100" ``` ``` -------------------------------- ### GET /events/subtypes Source: https://api.jobadder.com/v2/openapi.json API endpoint for GET /events/subtypes ```markdown ### Responses #### 200 - Event Sub Types **EventSubTypeListModel** - **items** (array (EventSubTypeModel)) Array items: - **eventSubTypeId** (integer (int32)) - **eventTypeId** (string (Interview|Meeting)) ("Interview"|"Meeting") - **description** (string) ### Example Usage ```bash curl -X GET "/v2/events/subtypes" ``` ``` -------------------------------- ### GET /events Source: https://api.jobadder.com/v2/openapi.json API endpoint for GET /events ```markdown ### Parameters - **Title** (string, query, optional) - **StartDate** (string (date-time), query, optional): Search for events starting at specific date and time (UTC assumed). When you pass the `StartDate` parameter, the result includes all events that have a start time greater than or equal to the provided start date. - **EndDate** (string (date-time), query, optional): Search for events ending at specific date and time (UTC assumed). When you pass the `EndDate` parameter, the result includes all events that have a end time lesser than or equal to the provided end date. - **EventType** (string, query, optional) - **EventSubTypeIds** (array (integer (int32)), query, optional) - **OrganizerId** (integer (int32), query, optional) - **EventIds** (array (integer (int32)), query, optional) - **JobIds** (array (integer (int32)), query, optional) - **CandidateIds** (array (integer (int32)), query, optional) - **ContactIds** (array (integer (int32)), query, optional) - **UserIds** (array (integer (int32)), query, optional) - **CreatedBy** (integer (int32), query, optional) - **Embed** (array (string), query, optional): Embed related resources.
Resources available to embed are: self, evaluations - **Offset** (integer (int32), query, optional): The index of the first entry to return from the resource collection - **Limit** (integer (int32), query, optional): The maximum number of entries to return.
Setting to 0 will return only the total count of matching resources. ### Responses #### 200 - List of events matching the specified criteria **EventListRepresentation** - **items** (array (EventModel)) Array items: - **eventId** (integer (int32)) - **eventType** (string (Interview|Meeting)) ("Interview"|"Meeting") - **eventSubType** (object) - **eventSubTypeId** (integer (int32)) - **eventTypeId** (string (Interview|Meeting)) ("Interview"|"Meeting") - **description** (string) - **title** (string) - **startTimeUtc** (string (date-time)) - **endTimeUtc** (string (date-time)) - **timeZone** (string) - **videoConferenceUrl** (string) - **description** (string) - **organizer** (object) - **userId** (integer (int32)) (required) - **firstName** (string) - **lastName** (string) - **position** (string) - **email** (string) - **phone** (string) - **mobile** (string) - **inactive** (boolean) - **deleted** (boolean) - **job** (object) - **jobId** (integer (int32)) (required) - **jobTitle** (string) - **location** (object) - **locationId** (integer (int32)) (required) - **name** (string) (required) - **area** (object) - **areaId** (integer (int32)) (required) - **name** (string) (required) - **company** (object) - **companyId** (integer (int32)) (required): Unique identifier for the company - **name** (string): Company name - **status** (object) - **statusId** (integer (int32)) (required) - **name** (string) (required) - **active** (boolean) - **default** (boolean) - **owner** (object) - **contact** (object) - **contactId** (integer (int32)) (required): Unique identifier for the contact - **firstName** (string): First name - **lastName** (string): Last name - **position** (string): Position or job title - **salutation** (string): Salutation/honorific/title - **unsubscribed** (boolean) - **email** (string): Primary email address - **phone** (string): Phone number - **mobile** (string): Mobile/cell number - **mobileNormalized** (string): Mobile/cell normalized number - **inactive** (boolean): Contact is no longer with the company - **status** (object) - **owner** (object) - **status** (object) - **source** (string) - **userFavourite** (boolean) - **owner** (object) - **createdBy** (object) - **createdAt** (string (date-time)) - **updatedBy** (object) - **updatedAt** (string (date-time)) - **closedBy** (object) - **closedAt** (string (date-time)) - **requisitionId** (integer (int32)) - **contacts** (array (ContactNameModel)) Array items: - **candidates** (array (CandidateNameModel)) Array items: - **candidateId** (integer (int32)) (required): Candidate Id - **firstName** (string): First name - **lastName** (string): Last name - **email** (string): Primary email address - **phone** (string): Contact phone number - **mobile** (string): Mobile/cell number - **mobileNormalized** (string): Mobile/cell normalized number - **contactMethod** (string): Preferred contact method - **salutation** (string): Salutation/honorific/title - **unsubscribed** (boolean) - **address** (object) - **street** (array (string)) - **city** (string) - **state** (string) - **postalCode** (string) - **country** (string) - **countryCode** (string) - **status** (object) - **rating** (string): Internal rating of the candidate - **source** (string): The source of the candidate - **seeking** (string (Yes|Maybe|No)) ("Yes"|"Maybe"|"No") - **users** (array (UserNameModel)) Array items: - **createdBy** (object) - **createdAtUtc** (string (date-time)) - **updatedBy** (object) - **updatedAtUtc** (string (date-time)) - **companyAddress** (object) - **addressId** (string (uuid)) (required) - **name** (string) - **street** (array (string)) - **city** (string) - **state** (string) - **postalCode** (string) - **country** (string) - **countryCode** (string) - **phone** (string) - **fax** (string) - **url** (string (uri)) - **address** (object) - **street** (string) - **suburb** (string) - **state** (string) - **postcode** (string) - **country** (string) - **totalCount** (integer (int32)) (required) - **pageNumber** (integer (int32)) - **pageSize** (integer (int32)) - **links** (object) - **first** (string (uri)) - **prev** (string (uri)) - **next** (string (uri)) - **last** (string (uri)) #### 422 - Validation error **ErrorModel** - **message** (string) (required) - **errors** (array (ErrorItemModel)) Array items: - **code** (string (Invalid|Missing|MissingField|AlreadyExists)) ("Invalid"|"Missing"|"MissingField"|"AlreadyExists") - **message** (string) - **fields** (array (string)) ### Example Usage ```bash curl -X GET "/v2/events?Title=string&StartDate=2023-01-01T00:00:00Z&EndDate=2023-01-01T00:00:00Z&EventType=string&EventSubTypeIds=item1,item2&OrganizerId=0&EventIds=item1,item2&JobIds=item1,item2&CandidateIds=item1,item2&ContactIds=item1,item2&UserIds=item1,item2&CreatedBy=0&Embed=item1,item2&Offset=0&Limit=100" ``` ``` -------------------------------- ### GET /applications/lists/workflow Source: https://api.jobadder.com/v2/openapi.json API endpoint for GET /applications/lists/workflow ```markdown ### Parameters - **query** (GetJobApplicationStatusByWorkflowListQuery, query, optional) ### Responses #### 200 - Job application workflow **JobApplicationStatusByWorkflowListRepresentation** - **items** (array (JobApplicationStatusByWorkflowModel)) Array items: - **stage** (string) (required): Name of the workflow stage - **stageIndex** (integer (int32)): Position in the workflow - **step** (integer (int32)): [Obsolete] Please reference stageIndex instead - **progress** (string (Started|InProgress|Complete)) ("Started"|"InProgress"|"Complete") - **status** (array (JobApplicationStatusNameModel)): Ordered status list for this workflow stage Array items: - **statusId** (integer (int32)) (required) - **name** (string) (required) - **active** (boolean) - **rejected** (boolean) - **default** (boolean) - **defaultRejected** (boolean) - **links** (object) - **self** (string (uri)) ### Example Usage ```bash curl -X GET "/v2/applications/lists/workflow?query=value" ``` ``` -------------------------------- ### GET /webhooks Source: https://api.jobadder.com/v2/openapi.json API endpoint for GET /webhooks ```markdown ### Parameters - **Status** (array (WebhookStatus), query, optional) - **Events** (array (EventName), query, optional) ### Responses #### 200 - List of webhooks **WebhookListRepresentation** - **items** (array (WebhookModel)) Array items: - **webhookId** (string (uuid)) - **name** (string) - **status** (string (Enabled|Disabled|Suspended|Failed)) ("Enabled"|"Disabled"|"Suspended"|"Failed") - **url** (string (uri)) - **events** (array (EventName)) - **eventFilters** (object) - **jobapplication_status_changed** (object) - **statusId** (array (integer (int32))): Limit events to a specific status - **statusActive** (boolean): Limit events to an active/open status - **createdAt** (string (date-time)) - **updatedAt** (string (date-time)) - **enabledAt** (string (date-time)) - **disabledAt** (string (date-time)) - **suspendedAt** (string (date-time)) - **failedAt** (string (date-time)) - **links** (object) - **self** (string (uri)) ### Example Usage ```bash curl -X GET "/v2/webhooks?Status=item1,item2&Events=item1,item2" ``` ```